configure: Use libgcrypt-config if available